Subject: Re: Problem after upgrade to gcc-3.3.3
From: "Gerrit P. Haase" <[email-masked]>
To: "Dave Korn" <[email-masked]>
Cc: [email-masked]
Date: Fri, 13 Aug 2004 07:13:04 +0200

Hello Dave,

>   I noticed in the first example that the g++ command line had a linker/dll
> .def file included as one of the files-to-compile.

>   Apparently '.def' is the standard file extension for modula files, I
> guess.

Many thanks for the hint.  I believe that is the reason.  I saw the
same when compiling libglade with a .def file on the link line.  I
will try to figure out what happens if I install gm2l where it is
expected.

>   You could try forcing the issue by issuing the same command line but with
> "-x c++" to convince the driver it isn't a modula file after all. That
> might do it.

But it is not a solution for me to force the user to use flags which
are not needed in normal life.  Probably the Modula 2 specs needs to
be changed.  And the Makefile for the Modula driver needs to be
changed as well since the gm2l binary is missing after installation.

I'll rebuild GCC without Modula 2 driver for now.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/